searchNodes=[{"doc":"Fetches a list of issues from a GitHub project.","ref":"GitHub.Issues.html","title":"GitHub.Issues","type":"module"},{"doc":"Fetches issues from the GitHub project of a given user . Returns a tuple of either {:ok, [issue]} or {:error, text} . Examples iex&gt; alias GitHub.Issues iex&gt; { :ok , issues } = Issues . fetch ( &quot;opendrops&quot; , &quot;passport&quot; ) iex&gt; Enum . all? ( issues , &amp; is_map / 1 ) and length ( issues ) &gt; 0 true","ref":"GitHub.Issues.html#fetch/2","title":"GitHub.Issues.fetch/2","type":"function"},{"doc":"GitHub issue","ref":"GitHub.Issues.html#t:issue/0","title":"GitHub.Issues.issue/0","type":"type"},{"doc":"Parses the command line and prints a table of the first or last n issues of a GitHub project. Inspired by the book Programming Elixir by Dave Thomas.","ref":"GitHub.Issues.CLI.html","title":"GitHub.Issues.CLI","type":"module"},{"doc":"Parses the command line and prints a table of the first or last n issues of a GitHub project. argv can be &quot;-h&quot; or &quot;--help&quot;, which prints info on the command's usage and syntax. Otherwise it contains a user, a project, and optionally the number of issues to format (the first n ones). To format the last n issues, specify switch --last . To ring the bell, specify switch --bell . To choose a table style, specify switch --table-style . Parameters argv - command line arguments (list) Switches -h or --help - for help -b or --bell - to ring the bell -l or --last - to format the last n issues -t or --table-style - to choose a table style Table styles bare - no colors barish - like bare but colored cyan - cyan background cyan-alt - cyan header, alternating row colors cyan-border - light cyan border cyan-mult - cyan header, 3 repeating row colors dark - dark colors dark-alt - dark colors, alternating row colors dark-mult - dark colors, 3 repeating row colors dashed - no colors dotted - slightly colored dotted-alt - slightly colored, alternating row colors dotted-mult - slightly colored, 3 repeating row colors game - game board green - green background green-alt - green header, alternating row colors green-border - light green border green-border-padded - light green border with extra padding green-border-unpadded - light green border without padding green-mult - green header, 3 repeating row colors green-padded - like green but with extra padding green-unpadded - like green but without padding light - light colors light-alt - light colors, alternating row colors light-mult - light colors, 3 repeating row colors medium - medium colors medium-alt - medium colors, alternating row colors medium-mult - medium colors, 3 repeating row colors mixed - fillers revealed plain - slightly colored pretty - multicolored pretty-alt - multicolored, alternating row colors pretty-mult - multicolored, 3 repeating row colors test - no colors yellow - light yellow background yellow-border - light yellow border","ref":"GitHub.Issues.CLI.html#main/1","title":"GitHub.Issues.CLI.main/1","type":"function"},{"doc":"GitHub project","ref":"GitHub.Issues.CLI.html#t:project/0","title":"GitHub.Issues.CLI.project/0","type":"type"},{"doc":"GitHub user","ref":"GitHub.Issues.CLI.html#t:user/0","title":"GitHub.Issues.CLI.user/0","type":"type"},{"doc":"Prints info on the escript command's usage and syntax.","ref":"GitHub.Issues.Help.html","title":"GitHub.Issues.Help","type":"module"},{"doc":"Prints info on the escript command's usage and syntax.","ref":"GitHub.Issues.Help.html#show_help/0","title":"GitHub.Issues.Help.show_help/0","type":"function"},{"doc":"","ref":"GitHub.Issues.Log.html","title":"GitHub.Issues.Log","type":"module"},{"doc":"","ref":"GitHub.Issues.Log.html#error/2","title":"GitHub.Issues.Log.error/2","type":"function"},{"doc":"","ref":"GitHub.Issues.Log.html#info/2","title":"GitHub.Issues.Log.info/2","type":"function"},{"doc":"","ref":"GitHub.Issues.Message.html","title":"GitHub.Issues.Message","type":"module"},{"doc":"","ref":"GitHub.Issues.Message.html#error/1","title":"GitHub.Issues.Message.error/1","type":"function"},{"doc":"","ref":"GitHub.Issues.Message.html#fetching_error/3","title":"GitHub.Issues.Message.fetching_error/3","type":"function"},{"doc":"","ref":"GitHub.Issues.Message.html#status/1","title":"GitHub.Issues.Message.status/1","type":"function"},{"doc":"","ref":"GitHub.Issues.Message.html#writing_table/2","title":"GitHub.Issues.Message.writing_table/2","type":"function"},{"doc":"Returns a URL based on a user, a project and a URL template.","ref":"GitHub.Issues.URLTemplate.html","title":"GitHub.Issues.URLTemplate","type":"module"},{"doc":"Returns a URL based on user , project and url_template . Parameters user - user project - project url_template - URL template (EEx string) Examples iex&gt; alias GitHub.Issues iex&gt; url_template = &quot;api.github.com/repos/&lt;%=user%&gt;/&lt;%=project%&gt;/issues&quot; iex&gt; Issues . url ( &quot;opendrops&quot; , &quot;passport&quot; , url_template ) &quot;api.github.com/repos/opendrops/passport/issues&quot; iex&gt; alias GitHub.Issues iex&gt; url_template = &quot;elixir-lang.org/&lt;%=project%&gt;/&lt;%=user%&gt;/wow&quot; iex&gt; Issues . url ( &quot;José&quot; , &quot;Elixir&quot; , url_template ) &quot;elixir-lang.org/Elixir/José/wow&quot; iex&gt; alias GitHub.Issues iex&gt; url_template = &quot;elixir-lang.org/&lt;project&gt;/&lt;user&gt;/wow&quot; iex&gt; Issues . url ( &quot;José&quot; , &quot;Elixir&quot; , url_template ) &quot;elixir-lang.org/&lt;project&gt;/&lt;user&gt;/wow&quot;","ref":"GitHub.Issues.URLTemplate.html#url/3","title":"GitHub.Issues.URLTemplate.url/3","type":"function"}]